services:
  cursorweb2api:
    image: ghcr.io/jhhgiyv/cursorweb2api:latest
    container_name: cursorweb2api
    ports:
      - "8080:8000"
    environment:
      - API_KEY=СЮДА_ВСТАВЛЯЕМ_НАШ_КЛЮЧ
      - FP=СЮДА_ВСТАВЛЯЕМ_НАШ_ОТПЕЧАТОК
      - SCRIPT_URL=https://cursor.com/149e9513-01fa-4fb0-aad4-566afd725d1b/2d206a39-8ed7-437e-a3be-862e0f06eea3/a-4-a/c.js?i=0&v=3&h=cursor.com
      - MODELS=anthropic/claude-sonnet-4.5,google/gemini-2.5-flash,openai/gpt-5-nano
      - ENABLE_FUNCTION_CALLING=false
      - TRUNCATION_CONTINUE=false
      - USER_PROMPT_INJECT=
    restart: unless-stopped